Subject: Re: bug#15848: 24.3.50; cperl-mode + which-function: Improve reporting (corner case)

From: Jambunathan K <[email-masked]>
Date: Sun, 10 Nov 2013 21:50:45 +0530

Nathan Trapuzzano <[email-masked]> writes:

> Jambunathan K <[email-masked]> writes:
>
>> I attach the screenshot again.  (This one shows the cursor.)
>
> Thanks, but after looking into this, I don't think it's a bug.

perl-mode behaves differently and correctly.  

> In cperl's case, "definition" intentionally includes pod =head
> directives.  All you're seeing is the previous defintion's name being
> correctly displayed in the mode line.

Is it possible to show the sub name when within a function and show the
head1 or head2 string when within a perldoc string.  (I am new to perl
so I can talk only fuzzily about the language or it's features)

My gut feeling is that the way cperl mode treats POD directives also
limits it from doing outlining.

See the screenshot in this thread.

http://lists.gnu.org/archive/html/bug-gnu-emacs/2013-11/msg00355.html

I would really like to get outlining work when in cperl-mode.

> Perhaps a cperl variable to disable imenu indexing of POD directives is
> what you want.  I might be able to implement something like that if it's
> not too hard.

I think anything that doesn't show "= " would do for me.